Skip to main content
GET
/
public
/
v1
/
customers
/
{customer_id}
/
Get customer
curl --request GET \
  --url https://api.dualentry.com/public/v1/customers/{customer_id}/ \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.dualentry.com/public/v1/customers/{customer_id}/"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.dualentry.com/public/v1/customers/{customer_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "address": "<string>",
  "country": "<string>",
  "name": "<string>",
  "unique_id": "<string>",
  "website": "<string>",
  "email": "<string>",
  "customer_type": "<string>",
  "is_active": true,
  "phone": "<string>",
  "record_status": "<string>",
  "is_taxable": true,
  "default_tax_code": "<string>",
  "tax_registration_number": "<string>",
  "custom_fields": [],
  "created_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "updated_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "approval_status": "<string>",
  "next_approvers": [
    {
      "id": 123,
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "<string>",
      "full_name": "<string>",
      "avatar_url": "<string>"
    }
  ],
  "rejected_by": {
    "id": 123,
    "first_name": "<string>",
    "last_name": "<string>",
    "email": "<string>",
    "full_name": "<string>",
    "rejection_reason": "<string>"
  },
  "shipping_address": {
    "street": "<string>",
    "city": "<string>",
    "postal_code": "<string>",
    "state": "",
    "country": "",
    "second_line": "",
    "name": "<string>"
  }
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

customer_id
integer
required

Response

OK

id
integer
required
address
string
required
country
string
required
name
string
required
unique_id
string | null
required
website
string
required
email
string
required
customer_type
string
required
is_active
boolean
required
phone
string
required
record_status
string
required
is_taxable
boolean
required
default_tax_code
string
required
tax_registration_number
string
required
default_currency
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
custom_fields
CustomFieldValuePairOutputSchema · object[]
created_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

updated_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

approval_status
string | null
next_approvers
ApproverDictSchema · object[] | null
rejected_by
RejectedBySchema · object | null

Schema for rejector information including rejection reason.

shipping_address
AddressSchemaIn · object | null
Last modified on July 13, 2026